<template>
  <div id="assortmentDetailPage">
    <template
      v-for="content in pageContent"
      :key="content.index"
    >
      <header-assortment
        v-if="content.type === 'banner'"
        :anchors="content.anchors"
        :title="content.name"
        :type-fish="content.subtitle"
        :img="content.image"
        :imgFeed="content.granules_image"
        :logoVniro="logoVniro"
      />
      <!-- <div class="quality-ingredients-wrapp"> -->
      <Table
        :id="quality_indicatorsId"
        :content="content"
        v-if="content.type === 'quality_indicators'"
      />
      <div
        :id="compositionsId"
        v-if="content.type === 'compositions'"
      >
        <h2>{{ content.title }}</h2>
        <div class="ingredients-wrapper">
          <div
            v-for="item in content.items"
            class="ingredient"
          >
            {{ item }}
          </div>
        </div>
      </div>
      <!-- </div> -->

      <Table
        :content="content"
        v-if="content.type === 'feeding_norms'"
        :btn-post-table="true"
        :id="feeding_normsId"
      />

      <div
        id="forms"
        v-if="content.type === 'form'"
      >
        <VForm :content="content" :messages="messages" :page_url="$route.path"/>
      </div>
    </template>
  </div>
</template>

<script>
import { HTTP, Routes } from '../api/API';

import HeaderAssortment from '../components/HeaderPageBlock.vue';
import Table from '../components/Table.vue';
import VForm from '../components/VForm.vue';

export default {
  components: { HeaderAssortment, Table, VForm },
  data() {
    return {
      formId: null,
      compositionsId: null,
      toTop: null,
      quality_indicatorsId: null,
      feeding_normsId: null,
      typeFishUrl: this.$route.params.fishfeeds,
      feeditemUrl: this.$route.params.feeditem,
      pageContent: [],
      messages: [],
      logoVniro: null
    };
  },
  computed: {},
  created() {
    const path = this.$route.params.feeditem.split('/');
    this.feeditemUrl = path[0];
  },
  mounted() {
    this.getContent();
  },
  updated() {},
  methods: {
    getContent() {
      HTTP.get(
        `${Routes.assort}products_section=${this.typeFishUrl}&product_code=${this.feeditemUrl}`,
      )
        .then(response => {
          // console.log('response.data.detail: ', response.data.data);
          this.messages = response.data.data.messages;
          this.logoVniro = response.data.data.types ? response.data.data.types[0].img : null;
          this.pageContent = response.data.data.content;
          this.pageContent.forEach(item => {
            switch (item.type) {
              case 'anchor':
                if (item.code === 'quality_indicators') {
                  this.quality_indicatorsId = item.code;
                } else if (item.code === 'compositions') {
                  this.compositionsId = item.code;
                } else if (item.code === 'top') {
                  this.toTop = item.code;
                } else if (item.code === 'feeding_norms') {
                  this.feeding_normsId = item.code;
                }
                break;
              default:
                break;
            }
          });
        })
        .catch(error => {
          console.log(error);
        });
    },
  },
};
</script>

<style></style>
